Bug 735022 - missing build requirement on ppc64 and s390x
Summary: missing build requirement on ppc64 and s390x
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ca-certificates
Version: 6.2
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Joe Orton
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-01 08:09 UTC by Ondrej Moriš
Modified: 2012-05-01 10:25 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-05-01 10:25:04 UTC


Attachments (Terms of Use)

Description Ondrej Moriš 2011-09-01 08:09:42 UTC
Description of problem:

Package ca-certificates has java-openjdk in BuildRequires:

BuildRequires: perl, java-openjdk, python, rcs

Unfortunately, this java-openjdk is available for i686 and x86_64 only. Hence it is not possible to build ca-certificates on ppc64 and s390x. Could not we use gjc instead of java-openjdk?

Version-Release number of selected component (if applicable):

ca-certificates-2010.63-3.el6_1.5

Comment 1 Tomas Hoger 2011-09-16 08:19:26 UTC
(In reply to comment #0)
> Could not we use gjc instead of java-openjdk?

gcj does not produce file in an expected JKS format.

Comment 4 Suzanne Yeghiayan 2012-02-14 23:15:15 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.

Comment 6 RHEL Product and Program Management 2012-05-01 10:25:04 UTC
Development Management has reviewed and declined this request.
You may appeal this decision by reopening this request.


Note You need to log in before you can comment on or make changes to this bug.